Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class JavaCodeQualityPluginConvention

    java.lang.Object
      org.gradle.api.plugins.quality.JavaCodeQualityPluginConvention

    class JavaCodeQualityPluginConvention

Property Summary
`String` | `checkstyleConfigFileName` The name of the Checkstyle configuration file, relative to the project directory.
`Map` | `checkstyleProperties` The set of properties to substitute into the Checkstyle configuration file.
`String` | `checkstyleResultsDirName` The name of the directory to write Checkstyle results to, relative to the build directory.

Constructor Summary
`JavaCodeQualityPluginConvention(Project project)`

Method Summary
`File` | `getCheckstyleConfigFile()` The Checkstyle configuration file.
`File` | `getCheckstyleResultsDir()` The directory to write the Checkstyle results into.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### checkstyleConfigFileName

    String checkstyleConfigFileName

  The name of the Checkstyle configuration file, relative to the project directory.

### checkstyleProperties

    Map checkstyleProperties

  The set of properties to substitute into the Checkstyle configuration file.

### checkstyleResultsDirName

    String checkstyleResultsDirName

  The name of the directory to write Checkstyle results to, relative to the build directory.

Constructor Detail

### JavaCodeQualityPluginConvention

    JavaCodeQualityPluginConvention(Project project)

Method Detail

### getCheckstyleConfigFile

    File getCheckstyleConfigFile()

  The Checkstyle configuration file.

### getCheckstyleResultsDir

    File getCheckstyleResultsDir()

  The directory to write the Checkstyle results into.

Gradle API 1.1-rc-1